package CsocketS;
import java.io.*;

/**
 *  a implementao do <i>Factory Server</i> nesse sistema.
 * Inicializa o ORB (ou conecta-se a ele, se j ativado) do lado do servidor,
 * para aguardar requisies de conexo. 
 *
 * @author Luiz Angelo Barchet Estefanel
 * @author <a href="mailto:lae@inf.ufsm.br">lae@inf.ufsm.br</a>
 * @version %I%, %G%
 * @since JDJ1.1
 */
public class ConnFactoryServer {


/**
 * Mtodo para a inicializao do FactoryServer por linha de comando.
 * No  necesrio nenhum parmetro, todos so definidos internamente.
 *
 * @param args   lista de argumentos passados por linha de comando.
 */
   public static void main (String[] args) {

      String argsm[] = new String[5];
      argsm[0] = new String ("ConnFactory_impl");
      argsm[1] = new String ("-ORBtrace_level");
      argsm[2] = new String ("2");
      argsm[3] = new String ("-ORBthreaded");
      argsm[4] = new String ("-OAthread_per_request");

      try {

         org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(argsm, new java.util.Properties());
         org.omg.CORBA.BOA boa = orb.BOA_init(argsm, new java.util.Properties());

         ConnFactory_impl conn_factory = new ConnFactory_impl(orb,boa);

         try {
            String ref = orb.object_to_string(conn_factory);
            System.out.println(ref);
            String refFile = "CsocketS.ref";
            java.io.PrintWriter out = new java.io.PrintWriter(new java.io.FileOutputStream(refFile));
            out.println(ref);
            out.flush();
             System.out.println("gravou...");
         }
         catch (java.io.IOException ex)
         {
            System.err.println("Can't write to '" + ex.getMessage() + "'");
            System.exit(1);
         }


         boa.impl_is_ready(null);

      }
      catch (org.omg.CORBA.SystemException se) {
         System.err.println(se);
      }

   }
}
