package CsocketS;

import org.omg.*;
import CsocketS.*;

/**
 * Esta classe implementa o processo que a cada requisio de conexo por parte
 * dos clientes, cria e designa um processo servidor. 
 * <p>
 * 
 * @author Luiz Angelo Barchet Estefanel
 * @author <a href="mailto:lae@inf.ufsm.br">lae@inf.ufsm.br</a>
 * @version %I%, %G%
 * @since JDK1.1
 */ 
class ConnFactory_impl extends CsocketS._ConnFactoryImplBase {

   private org.omg.CORBA.ORB orb;
   private org.omg.CORBA.BOA boa;

   private int id_lists;


/**
 * Construtor da classe.
 *
 * @param orb_  referncia ao ORB que est rodando no lado do servidor.
 * @param boa_  referncia ao BOA (Basic Object Adapter) do servidor.
 */
   ConnFactory_impl (org.omg.CORBA.ORB orb_, org.omg.CORBA.BOA boa_) {

      orb = orb_;
      boa = boa_;
      id_lists = 0;
 
   }


/**
 * Cria um processo servidor para ser designado ao cliente.
 *
 * @return um objeto do tipo CSServer, que  o servidor para esse cliente.
 */
   public CsocketS.CSServer CreateConn () throws org.omg.CORBA.SystemException {

      CSServer_impl CSSi = new CSServer_impl(orb,id_lists);
        ++id_lists;
	if (CSSi == null) {
	System.out.println("Nao pode criar CSServer");
      } else {
        System.out.println("CSServer Criado");
      }
      return CSSi;
   }
}
