package CsocketS;

import java.util.Vector;
import java.io.*;

/**
 * Classe responsvel pela <b>serializaoi</b> do pacote de dados que contm a 
 * mensagem e os <i>tickets</i> do cliente e do servidor.
 * Implementado de acordo com a especificao de serializao do JDK 1.1.5.
 *
 * @author Luiz Angelo Barchet Estefanel
 * @author <a href="mailto:lae@inf.ufsm.br">lae@inf.ufsm.br</a>
 * @version %I%, %G%
 * @since JDJ1.1
 */

public class Serializador {

/**
 * Realiza a operao de serializao do pacote de dados (um <i>Vector</i>),
 * transformando-o em um <i>array</i> de <i>bytes</i> que descreve a estrutura
 * e o contedo do pacote.
 *
 * @param v   <b>Vector</b> - Objeto que contm a mensagem e os <i>tickets</i> do cliente
 *            e do servidor.
 *
 * @return    <b><i>array</i> de <i>bytes</i></b> - representa a serializao do
 *            <i>Vector</i> fornecido na entrada.
 */

   byte[] serializar (Vector v) {

      try {
         ByteArrayOutputStream bout = new ByteArrayOutputStream();
         ObjectOutputStream out = new ObjectOutputStream(bout);
         out.writeObject(v);
         byte arraya[] = bout.toByteArray();
	 return arraya;
      } catch (Exception e) {
         e.printStackTrace(System.out);
 	 return null;
      }
   }


/**
 * Realiza a operao de deserializao do <i>array</i> de <i>bytes</i>,
 * recebido, remontando o <i>Vector</i> que contm a mensagem e os <i>tickets</i>..
 *
 * @param source   <b><i>array</i> de <i>bytes</i></b> - descreve o pacote de dados.
 *
 * @return    <b><i>Vector</i></b> - contm a mensagem e os <i>tickets<i> do cliente
 *            e do servidor.
 */

   Vector desserializar(byte source[]) {
      
      try {
         ByteArrayInputStream bin = new ByteArrayInputStream(source);
         ObjectInputStream in = new ObjectInputStream(bin);
         Vector vet2 = (Vector)in.readObject();
         return vet2;
      } catch (Exception e) {
         e.printStackTrace(System.out);
         return null;
      }
   }
}
