package IS.hi.logir.cryptonite;

/**
 * This class is a simple holder for a pair of public/private keys. Some
 * encryption algorithms only use a single key, in which case the
 * public and private fields of a KeyPair may reference the same object.
 *
 * @see IS.hi.logir.cryptonite.Key
 * @see IS.hi.logir.cryptonite.KeyRing
 *
 * @author <a href="http://www.hi.is/~logir/">Logi Ragnarsson</a> (<a href="mailto:logir@hi.is">logir@hi.is</a>)
 */
public class KeyPair{

    // public and private key in the pair.
    Key pub,pri;

    /** Create a new KeyPair holder. */
    public KeyPair(Key pub, Key pri){
        this.pub=pub;
        this.pri=pri;
    }

    /** Return the public key from the pair. */
    public Key getPublic(){
        return pub;
    }

    /** Return the private key from the pair. */
    public Key getPrivate(){
        return pri;
    }
}