package IS.hi.logir.cryptonite;

/**
 * This class holds information about how well a signature
 * matches a particular object/key pair.
 *
 * @see IS.hi.logir.cryptonite.Signature
 *
 * @author <a href="http://www.hi.is/~logir/">Logi Ragnarsson</a> (<a href="mailto:logir@hi.is">logir@hi.is</a>)
 */
public class SignatureMatch {

    /** True iff the key needed to validate the signture was found. */
    public boolean keyExist;

    /** True iff the key needed to validate the signture is trusted. */
    public boolean keyTrusted;

    /** True iff signature matches the specified object. */
    public boolean signatureMatches;

    /** Create a new SignatureMatch object. */
    public SignatureMatch(boolean keyExist, boolean keyTrusted, boolean signatureMatches){
        this.keyExist=keyExist;
        this.keyTrusted = keyTrusted;
        this.signatureMatches = signatureMatches;
    }

    /**
     * Return true iff the signature was created with a known
     * trusted key and mathces the object it was compared to. */
    public boolean isGood(){
        return keyExist && keyTrusted && signatureMatches;
    }

}
