package IS.hi.logir.cryptonite.test;

import IS.hi.logir.cryptonite.*;

import java.util.*;
import java.io.*;

/**
 * An application used to time the generation of RSA keys.
 *
 * @author <a href="http://www.hi.is/~logir/">Logi Ragnarsson</a> (<a href="mailto:logir@hi.is">logir@hi.is</a>)
 */
public class TestKeyGeneration {
    
    static Date lastCallToTimer;
    
    /**
     * Return the number of milliseconds since the last call to timer.
     */
    public static long timer(){
        Date now= new Date();
        long r=0;
        if (lastCallToTimer!=null)
            r=(now.getTime()-lastCallToTimer.getTime());
        lastCallToTimer = now;
        return r;
    }	
    
    /**
     * main entrypoint - starts the application
     * @param args java.lang.String[]
     */ 
    public static void main(String[] arg) {
	int max=2048;
	boolean inc=false;
	if (arg.length>0)
	    max = Integer.parseInt(arg[0]);
	if (arg.length>1)
	    inc = arg[1].equals("+");
	
        KeyPair kp=RsaKey.createKeys(32, "James Bond", "jbond@mi5.uk");
        
        System.out.println("Measuring the time to create RSA keys");
	System.out.println("of various lengths up to "+max+".");	
        timer();
        for (int bits=64; bits<=max; bits = (inc) ? (bits+64) : (bits*2)){
            kp = RsaKey.createKeys(bits, "James Bond", "jbond@mi5.uk");
            long ms=timer();
            System.out.println(bits+"\t"+(ms/1000)+"."+(ms%1000));
        }
    }
}
