package IS.hi.logir.cryptonite.test;

import IS.hi.logir.cryptonite.*;

import java.util.*;
import java.io.*;

/**
 * An application used to test the creation of fingerprint and key objects
 * through the registrations in the Fingerprint and Key classes.
 *
 * @author <a href="http://www.hi.is/~logir/">Logi Ragnarsson</a> (<a href="mailto:logir@hi.is">logir@hi.is</a>)
 */
public class TestNamedCreation{

    public static void main(String[] arg) throws IOException{
        byte[] buf=new byte[1024];
        Random rnd=new Random();
        rnd.nextBytes(buf);

        FingerprintState s = FingerprintState.createState("MD5");
        s.update(buf);
        Fingerprint f = s.calculate();
        Fingerprint g = MD5State.calcFingerprint(buf);
        System.out.println(f);
        if (f.equals(g))
            System.out.println("Named fingerprinting works!");
        else
            System.out.println("There is a bug!");
        System.out.println();
	
        KeyPair kp=Key.create("RSA", 256, "John Wilson", "johnw@bs2.intercom.com");
        System.out.println(kp.getPublic());
        kp=Key.create("Caesar", 0, "John Wilson", "johnw@bs2.intercom.com");
        System.out.println(kp.getPublic());
        kp=Key.create("Tea", 16, "John Wilson", "johnw@bs2.intercom.com");
        System.out.println(kp.getPublic());
    }
    
}
