package IS.hi.logir.cryptonite.test;

import IS.hi.logir.cryptonite.*;

/**
 * This class runs the method RandomSpinner.isRandom(), which runs the random number
 * generator through a chi-square test and a gap test to ensure that it really is
 * returning a stram of random numbers.
 * <p>
 * It is possible that the randomness of the returned data depends on the particular
 * vital machine it is running on. It is therefore a good idea to run this program
 * on the machine where Cryptonite will be used.
 * <p>
 * @see IS.hi.logir.RandomSpinner
 *
 * @author <a href="http://www.hi.is/~logir/">Logi Ragnarsson</a> (<a href="mailto:logir@hi.is">logir@hi.is</a>)
 */
public class TestRandom{

    public static void main(java.lang.String[] args) {
        RandomSpinner rnd = new RandomSpinner();
        System.out.println("Running randomness test for IS.hi.logir.cryptonite.RandomSpinner");
        System.out.println();
        System.out.println("This consists of running a chi-square test and a gap test.");
        System.out.println("See D.E.Knuth, \"The Art of Computer Programming\", 3.3.1A and 3.3.2C");
        System.out.println();
        if (rnd.isRandom())
            System.out.println("Passed.");
        else
            System.out.println("Failed.");
    }

}
